package Shiar_Sheet::KeySigns;

use utf8;
use strict;
use warnings;

our $VERSION = 'v1.02';

sub import {
	my $class = shift;

	my %sign = (
		arg    => '·',  # described as 'dot'
		args   => '⁚',
		argi   => '′',
		argm   => '↕',
		motion => '↕',
		alias  => '»',
		up     => '▲',
		right  => '▶',
		down   => '▼',
		left   => '◀',
		sep    => '•',
		_      => '<wbr>' || "\x{200b}",  # unofficial html, correct ZWNJ character might appear as placeholder
	);

	my ($parent) = caller;
	eval '*'.$parent.'::sign = \%sign';
}

1;

__END__

=head1 NAME

Shiar_Sheet::KeySigns - Common Unicode characters in user-preferred charset

=head1 SYNOPSIS

	use Shiar_Sheet::KeySigns;
	print "$sign{alias} some$sign{_}thing";  # » some<wbr>thing

=head1 AUTHOR

Mischa POSLAWSKY <perl@shiar.org>

=head1 LICENSE

Copyright. All rights reserved.

